# ‹› `` `markdown.extensions.sane_lists`

Modify the behavior of Lists in Python-Markdown to act in a sane manor.

See documentation for details.

Classes:

- `SaneOListProcessor` –

  Override `SIBLING_TAGS` to not include `ul` and set `LAZY_OL` to `False`.

- `SaneUListProcessor` –

  Override `SIBLING_TAGS` to not include `ol`.

- `SaneListExtension` –

  Add sane lists to Markdown.

## ‹› `` `markdown.extensions.sane_lists.SaneOListProcessor(parser: blockparser.BlockParser)`

Bases: `OListProcessor`

Override `SIBLING_TAGS` to not include `ul` and set `LAZY_OL` to `False`.

Attributes:

- `SIBLING_TAGS` –

  Exclude `ul` from list of siblings.

- `LAZY_OL` –

  Disable lazy list behavior.

### ‹› `` `markdown.extensions.sane_lists.SaneOListProcessor.SIBLING_TAGS` `class-attribute` `instance-attribute`

Exclude `ul` from list of siblings.

Defined Value:

    SIBLING_TAGS = ['ol']

### ‹› `` `markdown.extensions.sane_lists.SaneOListProcessor.LAZY_OL` `class-attribute` `instance-attribute`

Disable lazy list behavior.

Defined Value:

    LAZY_OL = False

## ‹› `` `markdown.extensions.sane_lists.SaneUListProcessor(parser: blockparser.BlockParser)`

Bases: `UListProcessor`

Override `SIBLING_TAGS` to not include `ol`.

Attributes:

- `SIBLING_TAGS` –

  Exclude `ol` from list of siblings.

### ‹› `` `markdown.extensions.sane_lists.SaneUListProcessor.SIBLING_TAGS` `class-attribute` `instance-attribute`

Exclude `ol` from list of siblings.

Defined Value:

    SIBLING_TAGS = ['ul']

## ‹› `` `markdown.extensions.sane_lists.SaneListExtension(**kwargs)`

Bases: `Extension`

Add sane lists to Markdown.

Methods:

- `extendMarkdown` –

  Register the processors.

### ‹› `` `markdown.extensions.sane_lists.SaneListExtension.extendMarkdown(md)`

Register the processors.

Class Instance | Registry | Name | Priority
--- | --- | --- | ---
`SaneOListProcessor` | `blockprocessors` | `olist` | `40`
`SaneUListProcessor` | `blockprocessors` | `ulist` | `30`